org.keycloak.models

## Enum ClientSessionModel.Action

- java.lang.Object
- - java.lang.Enum<ClientSessionModel.Action>
  - - org.keycloak.models.ClientSessionModel.Action

- All Implemented Interfaces:
    Serializable, Comparable<ClientSessionModel.Action>
  Enclosing interface:
    ClientSessionModel

      public static enum ClientSessionModel.Action
      extends Enum<ClientSessionModel.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODE_TO_TOKEN`
    `CONFIGURE_TOTP`
    `OAUTH_GRANT`
    `UPDATE_PASSWORD`
    `UPDATE_PROFILE`
    `VERIFY_EMAIL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientSessionModel.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientSessionModel.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OAUTH_GRANT

          public static final ClientSessionModel.Action OAUTH_GRANT

    - #### CODE_TO_TOKEN

          public static final ClientSessionModel.Action CODE_TO_TOKEN

    - #### VERIFY_EMAIL

          public static final ClientSessionModel.Action VERIFY_EMAIL

    - #### UPDATE_PROFILE

          public static final ClientSessionModel.Action UPDATE_PROFILE

    - #### CONFIGURE_TOTP

          public static final ClientSessionModel.Action CONFIGURE_TOTP

    - #### UPDATE_PASSWORD

          public static final ClientSessionModel.Action UPDATE_PASSWORD

  - ### Method Detail

    - #### values

          public static ClientSessionModel.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientSessionModel.Action c : ClientSessionModel.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientSessionModel.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.